package apis

type LoginRequest struct {
	User     string `json:"user"`
	Password string `json:"password"`
}

type LoginReply struct {
	Uid            int64 `json:"uid"`
	UserType       int32 `json:"user_type"`
	EffectiveStart int64 `json:"effective_start"`
	EffectiveEnd   int64 `json:"effective_end"`
}

type UserAddRequest struct {
	SelfId         int64  `json:"self_id"`
	SelfName       string `json:"self_name"`
	User           string `json:"user"`
	Password       string `json:"password"`
	RealName       string `json:"real_name"`
	UserType       int32  `json:"user_type"`
	EffectiveStart int64  `json:"effective_start"`
	EffectiveEnd   int64  `json:"effective_end"`
}

type UserAddReply struct {
	Uid int64 `json:"uid"`
}

type UserListRequest struct {
	Page     int64  `json:"page"`
	PageSize int64  `json:"page_size"`
	User     string `json:"user"`
	RealName string `json:"real_name"`
	SelfId   int64  `json:"self_id"`
}

type UserItem struct {
	Uid            int64  `json:"uid"`
	User           string `json:"user"`
	RealName       string `json:"real_name"`
	UserType       int32  `json:"user_type"`
	EffectiveStart int64  `json:"effective_start"`
	EffectiveEnd   int64  `json:"effective_end"`
	// 1有效 2 过期
	Status int32 `json:"status"`
}

type UserListReply struct {
	Page  int64       `json:"page"`
	Total int64       `json:"total"`
	List  []*UserItem `json:"list"`
}

type UserInfoRequest struct {
	Uid int64 `json:"uid"`
}

type UserInfoReply struct {
	Uid            int64  `json:"uid"`
	User           string `json:"user"`
	RealName       string `json:"real_name"`
	UserType       int32  `json:"user_type"`
	EffectiveStart int64  `json:"effective_start"`
	EffectiveEnd   int64  `json:"effective_end"`
}

type UserDelRequest struct {
	SelfId   int64  `json:"self_id"`
	DelId    int64  `json:"del_id"`
	SelfName string `json:"self_name"`
}

type UserDelReply struct {
	User     string `json:"user"`
	RealName string `json:"real_name"`
	UserType int32  `json:"user_type"`
	//EffectiveStartAt int64  `json:"effective_start_at"`
	//EffectiveEndAt   int64  `json:"effective_end_at"`
}

type UserResetPasswordRequest struct {
	SelfId   int64  `json:"self_id"`
	ResetId  int64  `json:"reset_id"`
	Password string `json:"password"`
	SelfName string `json:"self_name"`
}

type UserResetPasswordReply struct {
	User             string `json:"user"`
	RealName         string `json:"real_name"`
	UserType         int32  `json:"user_type"`
	EffectiveStartAt int64  `json:"effective_start"`
	EffectiveEndAt   int64  `json:"effective_end"`
}

type UserUpdateRequest struct {
	SelfId         int64  `json:"self_id"`
	UpdateId       int64  `json:"update_id"`
	User           string `json:"user"`
	Password       string `json:"password"`
	RealName       string `json:"real_name"`
	UserType       int32  `json:"user_type"`
	EffectiveStart int64  `json:"effective_start"`
	EffectiveEnd   int64  `json:"effective_end"`
	SelfName       string `json:"self_name"`
}

type UserUpdateReply struct {
}
