// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package consts

const CRYPTO_KEY = "3D28BP43U3Y1B4N6REQW3F319DD23465"

const (
	UserTypeSuper  = 1
	UserTypeNormal = 2
	UserTypeTemp   = 3
)

const (
	UserStatusEffective = 1
	UserStatusWait      = 2
	UserStatusExpired   = 3
)

const (
	OperationModuleAccount      = 1
	OperationModuleDesc         = 2
	OperationModuleVision       = 3
	OperationModuleNews         = 4
	OperationModuleAnnouncement = 5
	OperationModuleProgram      = 6
	OperationModuleHuiwu        = 7
	OperationModuleLiangxue     = 8
	OperationModuleDangfeng     = 9
	OperationModuleContact      = 10
	OperationModulePagePic      = 11
)

var JtContentTable = map[int]string{
	OperationModuleDesc:         "t_jt_desc",
	OperationModuleVision:       "t_jt_vision",
	OperationModuleNews:         "t_jt_news",
	OperationModuleAnnouncement: "t_jt_announcement",
	OperationModuleProgram:      "t_jt_program",
	OperationModuleHuiwu:        "t_jt_hw",
	OperationModuleLiangxue:     "t_jt_lx",
	OperationModuleDangfeng:     "t_jt_df",
}

var OperationModuleName = map[int]string{
	OperationModuleAccount:      "账号模块",
	OperationModuleDesc:         "集团简介",
	OperationModuleVision:       "发展愿景",
	OperationModuleNews:         "兴嘉要闻",
	OperationModuleAnnouncement: "公示公告",
	OperationModuleProgram:      "项目展示",
	OperationModuleHuiwu:        "会务动态",
	OperationModuleLiangxue:     "两学一做",
	OperationModuleDangfeng:     "党风廉洁",
	OperationModuleContact:      "联系我们",
}

const (
	_ = iota
	OperationActionUserAdd
	OperationActionUserDel
	OperationActionUserUpdate
	OperationActionUserResetPassword
	OperationActionDel
	OperationActionUpdate
	OperationActionAdd
)

var OperationActionName = map[int]string{
	OperationActionUserAdd:           "添加帐号",
	OperationActionUserDel:           "删除账号",
	OperationActionUserUpdate:        "修改账号",
	OperationActionUserResetPassword: "重置密码",
	OperationActionDel:               "删除",
	OperationActionUpdate:            "修改",
	OperationActionAdd:               "添加",
}
