package v1

import (
	"xingjia-management-gateway/apis"
	"xingjia-management-gateway/param/base"
)

type ContactAddBody struct {
	Addr  string `form:"addr" json:"addr"`
	Phone string `form:"phone" json:"phone"`
	Email string `form:"email" json:"email"`
}

type ContactAddRequest struct {
	base.Header
	ContactAddBody
}

type ContactAddResponse struct {
	base.Result
}

type ContactInfoRequest struct {
	base.Header
}

type ContactInfoResponse struct {
	base.Result
	Data apis.ContactInfoReply `json:"data"`
}

type ContactDelQuery struct {
	Id int64 `form:"id" json:"id"`
}

type ContactDelRequest struct {
	base.Header
	ContactDelQuery
}

type ContactDelResponse struct {
	base.Result
}

type ContactUpdateBody struct {
	Addr  string `form:"addr" json:"addr"`
	Phone string `form:"phone" json:"phone"`
	Email string `form:"email" json:"email"`
	Id    int64  `form:"id" json:"id"`
}

type ContactUpdateRequest struct {
	base.Header
	ContactUpdateBody
}

type ContactUpdateResponse struct {
	base.Result
}
