package v1

import (
	"xingjia-management-gateway/apis"
	"xingjia-management-gateway/param/base"
)

type JtContentAddBody struct {
	Title string `form:"title" json:"title"`
	// 标题图片
	FirstPics []string `form:"first_pics" json:"first_pics"`
	Content   string   `form:"content" json:"content"`
	// 1 发布 2 暂不发布
	PublishStatus int32 `form:"publish_status" json:"publish_status"`
}
type JtContentAddRequest struct {
	base.Header
	JtContentAddBody
}

type JtContentAddResponse struct {
	base.Result
}
type JtContentUpdateBody struct {
	Title     string   `form:"title" json:"title"`
	FirstPics []string `form:"first_pics" json:"first_pics"`
	Content   string   `form:"content" json:"content"`
	Id        int64    `form:"id" json:"id"`
	// 1 发布 2 暂不发布
	PublishStatus int32 `form:"publish_status" json:"publish_status"`
}
type JtContentUpdateRequest struct {
	base.Header
	JtContentUpdateBody
}

type JtContentUpdateResponse struct {
	base.Result
}

type JtContentDelQuery struct {
	Id int64 `form:"id" json:"id"`
}

type JtContentDelRequest struct {
	base.Header
	JtContentDelQuery
}

type JtContentDelResponse struct {
	base.Result
}

type JtContentListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
}

type JtContentInfoRequest struct {
	base.Header
}

type JtContentInfoData struct {
	Title     string   `json:"title"`
	FirstPics []string `json:"first_pics"`
	Content   string   `json:"content"`
	Id        int64    `json:"id"`
	CreatedAt int64    `json:"created_at"`
	// 1 发布 2 暂不发布
	PublishStatus int32 `json:"publish_status"`
}
type JtContentInfoResponse struct {
	base.Result
	Data JtContentInfoData `json:"data"`
}
type JtContentListRequest struct {
	base.Header
	JtContentListQuery
}

type JtContentListResponse struct {
	base.Result
	Data apis.JtContentListReply `json:"data"`
}

type JtContentPublishBody struct {
	Id int64 `json:"id"`
	// 1 发布 2 下架
	PublishStatus int32 `form:"publish_status" json:"publish_status"`
}
type JtContentPublishRequest struct {
	base.Header
	JtContentPublishBody
}

type JtContentPublishResponse struct {
	base.Result
}
