package v1

import (
	"xingjia-management-gateway/apis"
	"xingjia-management-gateway/param/base"
)

type PagePicAddBody struct {
	Pic string `form:"pic" json:"pic"`
}

type PagePicAddRequest struct {
	base.Header
	PagePicAddBody
}

type PagePicAddResponse struct {
	base.Result
}

type PagePicUpdateBody struct {
	Pic string `form:"pic" json:"pic"`
	Id  int64  `form:"id" json:"id"`
}

type PagePicUpdateRequest struct {
	base.Header
	PagePicUpdateBody
}

type PagePicUpdateResponse struct {
	base.Result
}

type PagePicDelQuery struct {
	Id int64 `form:"id" json:"id"`
}

type PagePicDelRequest struct {
	base.Header
	PagePicDelQuery
}

type PagePicDelResponse struct {
	base.Result
}

type PagePicListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
}

type PagePicListRequest struct {
	base.Header
	PagePicListQuery
}

type PagePicListResponse struct {
	base.Result
	Data apis.PagePicListReply `json:"data"`
}

/*
type PagePicPublishRequest struct {
	SelfId      int64  `json:"self_id"`
	SelfName    string `json:"self_name"`
	Id          int64  `json:"id"`
	PublishStatus int32 `json:"publish_status"`
}

type PagePicPublishReply struct {

}
*/
